<?php
/*
Plugin Name: Disable Source Code View
Description: Attempts to prevent visitors from viewing the source code of a page
Author: wpprocode
Author URI: https://wpprocode.cz
*/

function disable_source_code_view() {
    // Disable right-click
    echo '<script>
            document.addEventListener("contextmenu", function(e) {
                e.preventDefault();
            }, false);
          </script>';

    // Disable keyboard shortcuts
    echo '<script>
            document.addEventListener("keydown", function(e) {
                if ((e.metaKey || e.ctrlKey) && (e.keyCode == 85)) {
                    e.preventDefault();
                }
            }, false);
          </script>';

    // Disable other methods of viewing source code
    echo '<style>
            body {
                -webkit-user-select: none;
                -moz-user-select: none;
                -ms-user-select: none;
                user-select: none;
            }
          </style>';
}
add_action( 'wp_footer', 'disable_source_code_view' );
